<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Category\Fields;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Fields\Meta as TaxonomyMeta;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends TaxonomyMeta implements InterfaceField {

        
        protected static function getExcludesMeta( $type = "" ) {

                $excludesMeta = parent::getExcludesMeta( $type );

                $excludes = [ 'display_type', 'order' ];

                
                $excludes = apply_filters( 'Wpie/Export/Category/Fields/Meta/Excludes', array_merge( $excludesMeta, $excludes ), $type );

                return Helper::isNonEmptyArray( $excludes ) ? array_unique( $excludes ) : [];
        }

}
