<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Manager as StandardManager;

defined( 'WPIE__FILE__' ) || exit;


class Manager extends StandardManager {

        
        protected static function init( $option = "data" ) {

                if ( $option === 'fields' ) {
                        return Helper::sortBy( Fields::get(), "priority" );
                }
                if ( $option === 'import-config' ) {
                        return ImportConfig::get();
                }

                return Engine::init( $option );
        }
}
