<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order;

use Automattic\WooCommerce\Utilities\OrderUtil;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Manager as Legacy;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Manager as Standard;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function get( $option = "data" ) {

                if ( class_exists( '\Automattic\WooCommerce\Utilities\OrderUtil' ) && OrderUtil::custom_orders_table_usage_is_enabled() ) {
                        return Standard::get( $option );
                }

                return Legacy::get( $option );
        }

}
