<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Query;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Engine\Base;
use Automattic\WooCommerce\Internal\DataStores\Orders\OrdersTableDataStore;

defined( 'WPIE__FILE__' ) || exit;


class OperationalData {
        
          
        private static $alias = '';

        
        public static function getTableAlias() {

                if ( !Helper::isNonEmptyStr( self::$alias ) ) {
                        self::$alias = Helper::randStr( 'operational_data' );
                }

                return self::$alias;
        }

        
        public static function getTable() {

                return OrdersTableDataStore::get_operational_data_table_name();
        }

        
        public static function getJoin() {

                return "INNER JOIN " . self::getTable(). " AS " . self::getTableAlias() . " ON (" . Order::getTableAlias() . ".`id` = " . self::getTableAlias() . ".`order_id`)" ;
        }

}
