<?php



namespace WpieApp\Extensions\Import\Acf\Controller;

defined( 'WPIE__FILE__' ) || exit;


class ContentTypes {

        
        public static function init() {

                \add_filter( 'Wpie/ImpExpTypes/Posts/Excludes', [ __CLASS__, 'excludePosts' ] );

                \add_filter( 'Wpie/ImpExpTypes/Taxonomy/Excludes', [ __CLASS__, 'excludeTaxonomy' ] );
        }

        
        public static function excludeTaxonomy( $taxonomies = [] ) {

                return array_merge( $taxonomies, [ 'acf-field-group-category' ] );
        }

        
        public static function excludePosts( $posts = [] ) {

                return array_merge( $posts, [ 'acf-field', 'acf-field-group', 'acf-taxonomy', 'acf-post-type', 'acfe-dbt', 'acfe-dpt', 'acfe-dt', 'acfe-dop', 'acfe-form', 'acf-ui-options-page', 'acfe-template' ] );
        }
}
