<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class MaxSnippet {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Robots Max Snippet', 'wp-import-export' ),
                        "desc"   => __( 'Robots Max Snippet', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "max-snippet" => [
                                        "order"      => 5,
                                        "label"      => __( 'Robots Max Snippet', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "max-snippet" => [
                                                        "description" => __( "SEO Robots Max Snippet", 'wp-import-export' ),
                                                        "name"        => "fields/rankmathseo/advanced/max_snippet/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : -1', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Only numbers/integer values are supported', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
