<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class NoIndex {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Robots No Index', 'wp-import-export' ),
                        "desc"     => __( 'Robots No Index', 'wp-import-export' ),
                        "order"    => 5,
                        "isActive" => true,
                        "fields"   => [
                                "noindex" => [
                                        "order"      => 5,
                                        "label"      => __( 'Robots No Index', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "noindex" => [
                                                        "description" => __( "Robots No Index", 'wp-import-export' ),
                                                        "name"        => "fields/rankmathseo/advanced/noindex/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( '1, 0, yes, no, true, false, on, off all values are supported', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
