<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Attribute\Fields\Attribute;

defined( 'WPIE__FILE__' ) || exit;


class Name {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Name', 'wp-import-export' ),
                        "desc"          => __( 'Attribute Name', 'wp-import-export' ),
                        "order"         => 10,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "order" => [
                                        "order"      => 10,
                                        "label"      => __( 'Attribute Name', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "order" => [
                                                        "description" => __( "Attribute Name", 'wp-import-export' ),
                                                        "name"        => "fields/attribute/name/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ]
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
