<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Billing;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Email {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Email', 'wp-import-export' ),
                        "desc"          => __( 'Email', 'wp-import-export' ),
                        "order"         => 100,
                        "isRecommended" => true,
                        "fields"        => [
                                "email" => [
                                        "order"      => 5,
                                        "label"      => __( 'Email', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "email" => [
                                                        "description" => __( 'Email', 'wp-import-export' ),
                                                        "name"        => "fields/billing/email/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ]
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
