<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Note;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Content {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Content', 'wp-import-export' ),
                        "desc"     => __( 'Content', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "content" => [
                                        "order"      => 5,
                                        "label"      => __( 'Content', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "content"   => [
                                                        "description" => __( 'Content', 'wp-import-export' ),
                                                        "name"        => "fields/note/content/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple notes content separated by', 'wp-import-export' ),
                                                        "name"        => "fields/note/content/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : |', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
