<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Payment;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Currency {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Currency', 'wp-import-export' ),
                        "desc"          => __( 'Currency', 'wp-import-export' ),
                        "order"         => 20,
                        "isRecommended" => true,
                        "fields"        => [
                                "currency" => [
                                        "order"      => 5,
                                        "label"      => __( 'Payment Currency', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "currency" => [
                                                        "description" => __( 'Payment Currency', 'wp-import-export' ),
                                                        "name"        => "fields/payment/currency/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
