<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Standard;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Key {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Order Key', 'wp-import-export' ),
                        "desc"          => __( 'Order Key', 'wp-import-export' ),
                        "order"         => 10,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "key" => [
                                        "order"      => 5,
                                        "label"      => __( 'Order Key', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "key" => [
                                                        "description" => __( 'Order Key', 'wp-import-export' ),
                                                        "name"        => "fields/standard/key/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Leave empty for auto generate', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

}
