<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Advanced;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Review {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Enable reviews', 'wp-import-export' ),
                        "desc"   => __( 'Enable reviews', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "item-comment" => [
                                        "order"      => 5,
                                        "label"      => __( 'Enable reviews', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "comment_status" => [
                                                        "description"   => __( 'Enable reviews?', 'wp-import-export' ),
                                                        "name"          => "fields/standard/comment_status/data",
                                                        "order"         => 5,
                                                        "type"          => "radio",
                                                        "default"       => "open",
                                                        "choices"       => [
                                                                "open"         => __( "Yes", 'wp-import-export' ),
                                                                "closed"       => __( "No", 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "open"         => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "comment_status-as-specified" => [
                                                                                "order"      => 5,
//										"label"		 => __( 'Remove Images', 'wp-import-export' ),
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "name"  => "fields/standard/comment_status/data_as_specified",
                                                                                                "order" => 10,
                                                                                                "type"  => "text",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

}
