<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\DataAndVisibility;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Virtual {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Virtual', 'wp-import-export' ),
                        "desc"     => __( 'Virtual Product', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "virtual" => [
                                        "order"      => 10,
                                        "label"      => __( 'Is Virtual?', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "virtual" => [
                                                        "description"   => __( 'Is Virtual Product?', 'wp-import-export' ),
                                                        "name"          => "fields/data-and-visibility/virtual/data",
                                                        "type"          => "radio",
                                                        "default"       => "no",
                                                        "choices"       => [
                                                                "no"           => __( "No", 'wp-import-export' ),
                                                                "yes"          => __( "Yes", 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' )
                                                        ],
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Option specified by you', 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "no"           => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "virtual-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'All Above Option are supported', 'wp-import-export' ),
                                                                                                "name"        => "fields/data-and-visibility/virtual/data_as_specified",
                                                                                                "class"       => "",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
