<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Downloadable;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Files {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Downloadable Files', 'wp-import-export' ),
                        "desc"   => __( 'Downloadable files', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "item-title" => [
                                        "order"      => 10,
                                        "label"      => __( 'Downloadable files', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "name"      => [
                                                        "description" => __( 'File Names', 'wp-import-export' ),
                                                        "name"        => "fields/downloadable/files/name",
                                                        "type"        => "textarea",
                                                        "order"       => 10,
                                                ],
                                                "url"       => [
                                                        "description" => __( 'File Urls', 'wp-import-export' ),
                                                        "name"        => "fields/downloadable/files/urls",
                                                        "type"        => "textarea",
                                                        "order"       => 20,
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple File name and Urls separated by', 'wp-import-export' ),
                                                        "name"        => "fields/downloadable/files/separator",
                                                        "type"        => "text",
                                                        "value"       => ",",
                                                        "order"       => 30,
                                                        "hint"        => [
                                                                [ "text" => __( 'Default: ,(comma)', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }
}
