<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\General;

defined( 'WPIE__FILE__' ) || exit;


class Metadesc {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Description', 'wp-import-export' ),
                        "desc"   => __( 'SEO Description', 'wp-import-export' ),
                        "order"  => 10,
                        "fields" => [
                                "metadesc" => [
                                        "order"      => 5,
                                        "label"      => __( 'Description', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "metadesc" => [
                                                        "description" => __( "SEO Description", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/general/metadesc/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
