<?php



namespace WpieApp\Modules\Export\Controller\Items\Comment\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Comment\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Meta {

        
        public static function getField() {

                $metaKey = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $metaKey ) ) {
                        return "";
                }

                $value = \get_comment_meta( DataCenter::getId(), $metaKey );

                if ( count( $value ) === 1 ) {
                        $value = isset( $value[ 0 ] ) ? $value[ 0 ] : "";
                }

                
                return \apply_filters( 'Wpie/Export/Comment/Meta/Data', $value, $metaKey, Settings::getContentType() );
        }

}
