<?php



namespace WpieApp\Modules\Import\Controller\File\Downloader\Url\Downloader\Engine;

use WpieApp\Core\Resource\Time;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Base {

        
        const Timeout = 300;

        
        const Redirection = 10;

        
        const SSL_Verify = false;

        
        Private static $uri;

        
        Private static $filename;

        
        public static function getFilename() {

                if ( !Helper::isNonEmptyStr( self::$filename ) ) {
                        self::$filename = \get_temp_dir() . Helper::randStr() . ".tmp";
                }
                return self::$filename;
        }

        
        public static function getTimeout() {

                return min( Time::getTimeOut(), self::Timeout ) - 5;
        }
}
