<?php



namespace WpieApp\Modules\Import\Controller\File\Downloader\Url\Downloader\Engine;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Wp extends Base {

        
        public static function download( $uri ) {

                $file = self::getFilename();

                $response = \wp_remote_get(
                        $uri,
                        [
                                'timeout'     => self::getTimeout(),
                                'redirection' => Base::Redirection,
                                'sslverify'   => Base::SSL_Verify,
                                'stream'      => true,
                                'filename'    => $file,
                        ]
                );

                $status = Helper::toInt( \wp_remote_retrieve_response_code( $response ) );

                if ( \is_wp_error( $response ) || 200 !== $status ) {
                        Helper::deleteFile( $file );
                        return $response;
                }

                return $file;
        }
}
