<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function getFields() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Comment/Init/Fields', $type );

                return Fields::get();
        }

        
        public static function getExistingItemsFields() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Comment/Init/ExistingItemsFields', $type );

                return ExistingItemsFields::get();
        }

        
        public static function getAutoLoadFields() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Comment/Init/AutoLoadFields', $type );

                return AutoDetect::get();
        }

        
        public static function initEngine() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Comment/Init/Engine', $type );

                return Engine::init();
        }

        
        public static function get( $option = "data" ) {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Comment/Init', $type );

                if ( $option === "fields" ) {
                        return static::getFields();
                } elseif ( $option === "ExistingItemsFields" ) {
                        return static::getExistingItemsFields();
                } elseif ( $option === "AutoLoadFields" ) {
                        return static::getAutoLoadFields();
                }

                return static::initEngine();
        }
}
