<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields\Other;

defined( 'WPIE__FILE__' ) || exit;


class PostParent {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Parent', 'wp-import-export' ),
                        "desc"   => __( 'Post parent', 'wp-import-export' ),
                        "order"  => 60,
                        "fields" => [
                                "item-parent" => [
                                        "order"      => 5,
                                        "label"      => __( 'Post Parent', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "parent" => [
                                                        "description" => __( 'Assign the post to an existing post parent', 'wp-import-export' ),
                                                        "name"        => "fields/standard/post_parent/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Enter post title, content or slug (post name)', 'wp-import-export' ) ],
                                                        ],
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
