<?php



namespace WpieApp\Modules\Import\Controller\Items\Term\Fields\Standard;

use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Description {

        
        public static function getBlocks() {

                $contentType = Settings::getTaxonomyLabel();

                return [
                        "title"  => __( 'Description', 'wp-import-export' ),
                        /* translators: %s: content type */
                        "desc"   => sprintf( __( '%s Description', 'wp-import-export' ), $contentType ),
                        "order"  => 30,
                        "fields" => [
                                "description" => [
                                        "order"      => 10,
                                        /* translators: %s: content type */
                                        "label"      => sprintf( __( '%s Description', 'wp-import-export' ), $contentType ),
                                        "sub-fields" => [
                                                "description" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( '%s Description', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/standard/description/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
