<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Fields\Notifications;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Email {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"      => __( 'Email Notifications', 'wp-import-export' ),
                        "desc"       => __( 'Email Notifications', 'wp-import-export' ),
                        "order"      => 10,
                        "block-type" => "options",
                        "fields"     => [
                                "item-email" => [
                                        "order"      => 10,
                                        "label"      => __( 'Email Notifications', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "email" => [
                                                        "description" => __( 'If disable, WP Import Export will prevent WordPress from sending notification emails to imported users while the import is processing', 'wp-import-export' ), $contentType,
                                                        "name"        => "fields/standard/notification/email",
                                                        "type"        => "checkbox",
                                                        "is-switch"   => true,
                                                        "default"     => [],
                                                        "choices"     => [
                                                                "1" => __( "Send email notifications to imported users", 'wp-import-export' ),
                                                        ],
                                                        "hint"        => [
                                                                [ "text" => __( 'Keep Disable is Recommended', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
