<?php



namespace WpieApp\Modules\Tools\View\Tools;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function get() {

                
                return \apply_filters(
                        'Wpie/Modules/Tools/View',
                        [
                                "class"      => "wpie-manage-template-wrapper",
                                "groupClass" => "wpie-manage-template",
                                "order"      => 15,
                                "blocks"     => [
                                        "settings"  => Settings::getBlocks(),
                                        "upload"    => Upload::getBlocks(),
                                        "uninstall" => Uninstall::getBlocks(),
                                ]
                        ]
                );
        }
}
