<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Taxonomy as PostTaxonomy;

defined( 'WPIE__FILE__' ) || exit;


class ProductTaxonomy implements InterfaceField {

        
        const FIELD_TYPE = "product-taxonomy";

        
        public static function get() {

                $fields = [
                        "title"      => \esc_html__( "Product Taxonomy", 'wp-import-export' ),
                        "priority"   => 70,
                        'isExported' => false,
                        'comparison' => [ 'string' ],
                        "data"       => PostTaxonomy::getFields( "product", self::FIELD_TYPE )
                ];

                
                return \apply_filters( 'Wpie/Export/Order/Fields/Product/Taxonomy', $fields, Settings::getContentType() );
        }

}
