<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product;

use WpieApp\Modules\Export\Controller\Items\Post\Filter as PostFilter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Filters\Attribute;

defined( 'WPIE__FILE__' ) || exit;


class Filter extends PostFilter {

        
        public static function addRule() {

                switch ( self::getOption( "type", "field" ) ) {

                        case 'attribute':
                                Attribute::addRule();
                                break;
                }

                parent::addRule();

                
                \do_action( 'Wpie/Export/Product/Filter/Add', self::getOption( "type", "field" ) );
        }

}
