<?php



namespace WpieApp\Extensions\Export\YoastSeo\Controller\Items\User\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\User\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Seo {

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                $data = "";

                if ( Helper::strStartsWith( 'schema', $element ) ) {
                        $data = Schema::getField();
                }

                
                return \apply_filters( 'Wpie/Export/User/YoastSeo/Data', $data, $element, Settings::getContentType() );
        }

}
