<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook;

defined( 'WPIE__FILE__' ) || exit;


class ArticleSection {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Article Section', 'wp-import-export' ),
                        "desc"   => __( 'Facebook Article Section', 'wp-import-export' ),
                        "order"  => 60,
                        "fields" => [
                                "article_section" => [
                                        "order"      => 5,
                                        "label"      => __( 'Article Section', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "article_section" => [
                                                        "description" => __( "SEO Facebook Article Section", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/facebook/article_section/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Only applied if Object Type is default or article', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
