<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter;

defined( 'WPIE__FILE__' ) || exit;


class GooglePlayName {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Google Play App Name', 'wp-import-export' ),
                        "desc"   => __( 'Twitter Google Play App Name', 'wp-import-export' ),
                        "order"  => 70,
                        "fields" => [
                                "app_googleplay_name" => [
                                        "order"      => 5,
                                        "label"      => __( 'Twitter Google Play App Name', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "app_googleplay_name" => [
                                                        "description" => __( "SEO Twitter Google Play App Name", 'wp-import-export' ),
                                                        "name"        => "fields/rankmathseo/twitter/app_googleplay_name/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
