<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Other;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class VatExempt {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Vat Exempt', 'wp-import-export' ),
                        "desc"          => __( 'Vat Exempt', 'wp-import-export' ),
                        "order"         => 10,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "vat-exempt" => [
                                        "order"      => 5,
                                        "label"      => __( 'Is vat exempt?', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "vat-exempt" => [
                                                        "description" => __( 'Is vat exempt', 'wp-import-export' ),
                                                        "name"        => "fields/other/vat-exempt/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'yes, no, true, false, 0, 1 values are supported', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                ];
        }
}
