<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Advanced {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "advanced/purchase-note" ) ) {
                        $data[ 'purchase_note' ] = DataCenter::get( "advanced/purchase-note/data" );
                }

                if ( DataCenter::canUpdate( "standard/comment_status" ) ) {

                        $data[ "reviews_allowed" ] = (false === Helper::detectBoolVal( DataCenter::get( "standard/comment_status/data" ) )) ? false : true;
                }

                return $data;
        }
}
