<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Price;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Dates {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Sale Price Dates', 'wp-import-export' ),
                        "desc"   => __( 'Product Sale Price Dates', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "item-title" => [
                                        "order"      => 10,
                                        "label"      => __( 'Product Sale Price Dates', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "from" => [
                                                        "description" => __( 'Product Sale Price From', 'wp-import-export' ),
                                                        "name"        => "fields/price/date-from/data",
                                                        "type"        => "textarea",
                                                ],
                                                "to"   => [
                                                        "description" => __( 'Product Sale Price To', 'wp-import-export' ),
                                                        "name"        => "fields/price/date-to/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
