<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Type;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class ProductType {

        
        public static function getBlocks() {

                $productTypes = \wc_get_product_types();

                $productTypes[ 'as_specified' ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"         => __( 'Product Type', 'wp-import-export' ),
                        "desc"          => __( 'Product Type', 'wp-import-export' ),
                        "order"         => 10,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "type" => [
                                        "order"      => 10,
                                        "label"      => __( 'Product Type', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "type" => [
                                                        "description"   => __( 'Product Type', 'wp-import-export' ),
                                                        "name"          => "fields/type/product-type/data",
                                                        "type"          => "radio",
                                                        "default"       => "simple",
                                                        "choices"       => $productTypes,
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Status specified by you', 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "simple"       => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "product-type-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'All Above statuses are supported', 'wp-import-export' ),
                                                                                                "name"        => "fields/type/product-type/data_as_specified",
                                                                                                "class"       => "",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ]
                                ],
                        ]
                ];
        }

}
