<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Fields\Standard\Rating;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Standard as CommentStandard;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends CommentStandard implements InterfaceField {

        
        public static function getFields() {

                $fields = parent::getFields();

                $fields[ 'blocks' ] = isset( $fields[ 'blocks' ] ) ? $fields[ 'blocks' ] : [];

                $fields[ 'blocks' ][ 'standard/rating' ] = Rating::getBlocks();
                
                return $fields;
        }

}
