<?php



namespace WpieApp\Modules\Debug\View\Logs\SystemInfo;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function get() {

                
                return \apply_filters(
                        'Wpie/Modules/Debug/View/SystemInfo',
                        [
                                "plugin"           => Plugin::get(),
                                "wp"               => WP::get(),
                                "server"           => Server::get(),
                                "database"         => Database::get(),
                                "post-type-count"  => PostTypeCount::get(),
                                "database-tables"  => DatabaseTables::get(),
                                "filesystem"       => Filesystem::get(),
                                "active-plugins"   => ActivePlugins::get(),
                                "inactive-plugins" => InactivePlugins::get(),
                                "wp-constants"     => WPConstants::get(),
                                "theme"            => Theme::get(),
                        ]
                );
        }

}
