<?php



namespace WpieApp\Modules\Debug\View\Logs\SystemInfo;

defined( 'WPIE__FILE__' ) || exit;


class WPConstants {

        
        public static function get() {


                return [
                        "label" => __( 'WordPress Constants', 'wp-import-export' ),
                        "order" => 100,
                        "data"  => [
                                'ABSPATH'             => [
                                        'label' => 'ABSPATH',
                                        'data'  => ABSPATH,
                                ],
                                'WP_HOME'             => [
                                        'label' => 'WP_HOME',
                                        'data'  => ( defined( 'WP_HOME' ) ? WP_HOME : __( 'Undefined', 'wp-import-export' ) ),
                                ],
                                'WP_SITEURL'          => [
                                        'label' => 'WP_SITEURL',
                                        'data'  => ( defined( 'WP_SITEURL' ) ? WP_SITEURL : __( 'Undefined', 'wp-import-export' ) ),
                                ],
                                'WP_CONTENT_DIR'      => [
                                        'label' => 'WP_CONTENT_DIR',
                                        'data'  => WP_CONTENT_DIR,
                                ],
                                'WP_PLUGIN_DIR'       => [
                                        'label' => 'WP_PLUGIN_DIR',
                                        'data'  => WP_PLUGIN_DIR,
                                ],
                                'WP_MEMORY_LIMIT'     => [
                                        'label' => 'WP_MEMORY_LIMIT',
                                        'data'  => WP_MEMORY_LIMIT,
                                ],
                                'WP_MAX_MEMORY_LIMIT' => [
                                        'label' => 'WP_MAX_MEMORY_LIMIT',
                                        'data'  => WP_MAX_MEMORY_LIMIT,
                                ],
                                'WP_DEBUG'            => [
                                        'label' => 'WP_DEBUG',
                                        'data'  => WP_DEBUG,
                                ],
                                'WP_DEBUG_DISPLAY'    => [
                                        'label' => 'WP_DEBUG_DISPLAY',
                                        'data'  => WP_DEBUG_DISPLAY,
                                ],
                                'WP_DEBUG_LOG'        => [
                                        'label' => 'WP_DEBUG_LOG',
                                        'data'  => WP_DEBUG_LOG,
                                ],
                                'SCRIPT_DEBUG'        => [
                                        'label' => 'SCRIPT_DEBUG',
                                        'data'  => SCRIPT_DEBUG,
                                ],
                                'WP_CACHE'            => [
                                        'label' => 'WP_CACHE',
                                        'data'  => WP_CACHE,
                                ],
                                'CONCATENATE_SCRIPTS' => [
                                        'label' => 'CONCATENATE_SCRIPTS',
                                        'data'  => defined( 'CONCATENATE_SCRIPTS' ) ? CONCATENATE_SCRIPTS : __( 'Undefined', 'wp-import-export' ),
                                ],
                                'COMPRESS_SCRIPTS'    => [
                                        'label' => 'COMPRESS_SCRIPTS',
                                        'data'  => defined( 'COMPRESS_SCRIPTS' ) ? COMPRESS_SCRIPTS : __( 'Undefined', 'wp-import-export' ),
                                ],
                                'COMPRESS_CSS'        => [
                                        'label' => 'COMPRESS_CSS',
                                        'data'  => defined( 'COMPRESS_CSS' ) ? COMPRESS_CSS : __( 'Undefined', 'wp-import-export' ),
                                ],
                                'WP_ENVIRONMENT_TYPE' => [
                                        'label' => 'WP_ENVIRONMENT_TYPE',
                                        'data'  => defined( 'WP_ENVIRONMENT_TYPE' ) ? WP_ENVIRONMENT_TYPE : __( 'Undefined', 'wp-import-export' ),
                                ],
                                'DB_CHARSET'          => [
                                        'label' => 'DB_CHARSET',
                                        'data'  => ( defined( 'DB_CHARSET' ) ? DB_CHARSET : __( 'Undefined', 'wp-import-export' ) ),
                                ],
                                'DB_COLLATE'          => [
                                        'label' => 'DB_COLLATE',
                                        'data'  => ( defined( 'DB_COLLATE' ) ? DB_COLLATE : __( 'Undefined', 'wp-import-export' ) ),
                                ],
                        ]
                ];
        }

}
