<?php



namespace WpieApp\Modules\Export\View;

use WpieApp\Modules\Export\View\Setup\Manager as Setup;
use WpieApp\Modules\Export\View\Processbar\Manager as Processbar;
use WpieApp\Modules\Export\View\ContentType\Manager as ContentType;
use WpieApp\Modules\Export\View\Modals\Manager as Modals;

defined( 'WPIE__FILE__' ) || exit;


class Content {

        
        public static function get() {


                
                return \apply_filters(
                        'Wpie/Modules/Export/View/Content',
                        [
                                "contenttype" => ContentType::get(),
                                "setup"       => Setup::get(),
                                "processbar"  => Processbar::get(),
                                "modals"      => Modals::get()
                        ]
                );
        }

}
