<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields\Extra;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class UserId {

        
        public static function getBlocks() {
                $contentType = Settings::getContentLabel();
                return [
                        "title"  => __( 'User', 'wp-import-export' ),
                        "desc"   => __( 'User', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "user_id" => [
                                        "order"      => 10,
                                        "label"      => __( 'User', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "user_id" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( 'user who submitted the %s.', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/extra/user_id/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Enter username, login or email address', 'wp-import-export' ) ]
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
