<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields\Post;

defined( 'WPIE__FILE__' ) || exit;


class PostData {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Post', 'wp-import-export' ),
                        "desc"          => __( 'Post', 'wp-import-export' ),
                        "order"         => 20,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "post_data" => [
                                        "order"      => 10,
                                        "label"      => __( 'Post', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "slug"  => [
                                                        "description" => __( 'Slug of the post that relates to the comment, if any.', 'wp-import-export' ),
                                                        "name"        => "fields/post/slug/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Only for searching purpose', 'wp-import-export' ) ],
                                                                [ "text" => __( 'For accurate search', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "title" => [
                                                        "description" => __( 'Title of the post that relates to the comment, if any.', 'wp-import-export' ),
                                                        "name"        => "fields/post/title/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Only for searching purpose', 'wp-import-export' ) ],
                                                                [ "text" => __( 'For accurate search', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
