<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Fields\Standard;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Capability {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Capability', 'wp-import-export' ),
                        "desc"          => __( 'Capability', 'wp-import-export' ),
                        "order"         => 50,
                        "isRecommended" => true,
                        "fields"        => [
                                "capability" => [
                                        "order"      => 10,
                                        "label"      => __( 'Capability', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "capability" => [
                                                        "description" => __( 'Capabilities that the individual user has been granted outside of those inherited from their role.', 'wp-import-export' ),
                                                        "name"        => "fields/standard/capability/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Only supports json values. Example {"administrator":true}', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

}
