<?php




namespace WpieApp\Modules\Import\View\FileSetup;

defined( 'WPIE__FILE__' ) || exit;


class LocalUpload {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/LocalUpload',
                        [
                                "title"    => __( 'Upload File', 'wp-import-export' ),
                                "desc"     => __( 'Local upload', 'wp-import-export' ),
                                "order"    => 10,
                                "isActive" => true,
                                "fields"   => [
                                        "handle-upload" => [
                                                "label"      => __( 'Upload a file from your desktop', 'wp-import-export' ),
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "uploader" => [
                                                                "order"       => 5,
                                                                "type"        => "uploader",
                                                                "description" => __( 'Upload a file or drag and drop it here', 'wp-import-export' )
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                );
        }

}
