<?php




namespace WpieApp\Providers;

defined( 'WPIE__FILE__' ) || exit;


class Bootstrap {

        
        public function __construct() {

                if ( !Plugin::preInit() ) {
                        return;
                }

                //localization setup
                add_action( 'plugins_loaded', [ $this, 'loadPluginTextDomain' ] );

                //Init App
                add_action( 'init', [ $this, 'initApp' ], 99999 );
        }

        
        public function loadPluginTextDomain() {
                load_plugin_textdomain( 'wp-import-export', false, basename( WPIE__FILE__ ) . '/languages/' );
        }

        
        public function initApp() {
                Plugin::init();
        }

}
